SenseCrypt Docs
API ReferenceAdmin Oidc Apps

Rotate Tls Cert

POST/v1/admin/oidc-apps/{client_id}/certificates/rotate

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

client_id*Client Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

A new self_signed_tls_client_auth certificate (#1505 step 4): exactly one PEM certificate, held to the registration gate of the whole field (check_client_certificate — valid now, adequate key, clientAuth EKU when an EKU is present).

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/admin/oidc-apps/string/certificates/rotate" \  -H "Content-Type: application/json" \  -d '{    "pem": "string"  }'
{  "items": [    {      "id": "string",      "kind": "jwk",      "kid": "string",      "kty": "string",      "alg": "string",      "thumbprint": "string",      "state": "current",      "created_at": "2019-08-24T14:15:22Z",      "created_by": "string",      "retired_at": "2019-08-24T14:15:22Z",      "revoked_at": "2019-08-24T14:15:22Z",      "revoke_reason": "string",      "reactivatable_until": "2019-08-24T14:15:22Z",      "jwk": {},      "pem": "string",      "not_after": "2019-08-24T14:15:22Z"    }  ],  "keys_required": true}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}